"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeData = void 0;
const assert_1 = require("assert");
function isPlainAccountDataSerializer(serializer) {
    return (typeof serializer.serialize ===
        'function');
}
function isFromArgsAccountDataSerializer(serializer) {
    return (typeof serializer.fromArgs ===
        'function');
}
function serializeData(serializer, data) {
    if (isPlainAccountDataSerializer(serializer)) {
        return serializer.serialize(data);
    }
    else if (isFromArgsAccountDataSerializer(serializer)) {
        return serializer.fromArgs(data).serialize(data);
    }
    assert_1.strict.fail('Serializer needs to have serialize or fromArgs method');
}
exports.serializeData = serializeData;
//# sourceMappingURL=account-data-serializer.js.map