/** @private */
export declare const AMMAN_RELAY_PORT = 50474;
/** @private */
export declare const AMMAN_RELAY_URI: string;
/** @private */
export declare const MSG_UPDATE_ADDRESS_LABELS = "update:address-labels";
/** @private */
export declare const ACK_UPDATE_ADDRESS_LABELS = "ack:update:address-labels";
/** @private */
export declare const MSG_CLEAR_ADDRESS_LABELS = "clear:address-labels";
/** @private */
export declare const MSG_CLEAR_TRANSACTIONS = "clear:transactions";
/** @private */
export declare const MSG_GET_KNOWN_ADDRESS_LABELS = "get:known-address-labels";
/** @private */
export declare const MSG_UPDATE_ACCOUNT_STATES = "update:account-states";
/** @private */
export declare const MSG_REQUEST_ACCOUNT_STATES = "request:account-states";
/** @private */
export declare const MSG_RESPOND_ACCOUNT_STATES = "respond:account-states";
/** @private */
export declare const MSG_REQUEST_SNAPSHOT_SAVE = "request:snapshot-save";
/** @private */
export declare const MSG_RESPOND_SNAPSHOT_SAVE = "respond:snapshot-save";
/** @private */
export declare const MSG_REQUEST_ACCOUNT_SAVE = "request:account-save";
/** @private */
export declare const MSG_RESPOND_ACCOUNT_SAVE = "respond:account-save";
/** @private */
export declare const MSG_REQUEST_STORE_KEYPAIR = "request:store-keypair";
/** @private */
export declare const MSG_RESPOND_STORE_KEYPAIR = "respond:store-keypair";
/** @private */
export declare const MSG_REQUEST_LOAD_KEYPAIR = "request:load-keypair";
/** @private */
export declare const MSG_RESPOND_LOAD_KEYPAIR = "respond:load-keypair";
/** @private */
export declare const MSG_REQUEST_SET_ACCOUNT = "request:set-account";
/** @private */
export declare const MSG_RESPOND_SET_ACCOUNT = "respond:set-account";
/** @private */
export declare const MSG_REQUEST_LOAD_SNAPSHOT = "request:load-snapshot";
/** @private */
export declare const MSG_RESPOND_LOAD_SNAPSHOT = "respond:load-snapshot";
/** @private */
export declare const MSG_REQUEST_RESTART_VALIDATOR = "request:restart-validator";
/** @private */
export declare const MSG_RESPOND_RESTART_VALIDATOR = "respond:restart-validator";
/** @private */
export declare const MSG_REQUEST_AMMAN_VERSION = "request:relay-version";
/** @private */
export declare const MSG_RESPOND_AMMAN_VERSION = "respond:relay-version";
/** @private */
export declare const MSG_REQUEST_VALIDATOR_PID = "request:validator-pid";
/** @private */
export declare const MSG_RESPOND_VALIDATOR_PID = "respond:validator-pid";
/** @private */
export declare const MSG_REQUEST_KILL_AMMAN = "request:kill-amman";
/** @private */
export declare const MSG_RESPOND_KILL_AMMAN = "respond:kill-amman";
export declare const AmmanRequests: readonly ["update:address-labels", "get:known-address-labels", "request:account-states", "request:snapshot-save", "request:account-save", "request:store-keypair", "request:load-keypair", "request:set-account", "request:load-snapshot", "request:restart-validator", "request:relay-version", "request:validator-pid", "request:kill-amman"];
export declare type AmmanRequest = typeof AmmanRequests[number];
export declare const KILL_AMMAN_EXIT_CODE = 2989;
